/*
	pipeline end algorithm - XPeng
*/

#version 130


uniform sampler2D 	inText;		// input sampler
out     vec4 		outText;	// output sampler

uniform float vflip;

void main()
{
	vec2 v_texCoord = vec2(gl_TexCoord[0].s,vflip*(1.0-gl_TexCoord[0].t)+(1-vflip)*gl_TexCoord[0].t);

	outText = texture2D(inText, v_texCoord);
}

